Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.provider.rsa
Class RawRSAPublicKey

    java.lang.Object
      |
      +--cryptix.provider.rsa.BaseRSAPublicKey
            |
            +--cryptix.provider.rsa.RawRSAPublicKey

public class RawRSAPublicKey
extends BaseRSAPublicKey

A class representing a RAW-encoded RSA public key.

The encoding consists of the following, in order:

1. the public exponent e,
2. the modulus n.

Each integer is represented as follows:

        Byte    Length
        offset  (bytes)   Meaning
        0       2         The length in bits of this BigInteger (MSB first);
        2       variable  The BigInteger's magnitude with no leading zeroes,
                          again MSB first.

Copyright © 1997 Systemics Ltd on behalf of the Cryptix Development Team.
All rights reserved.

$Revision: 1.6 $

Since:
  Cryptix 2.2.2
Author:
  Raif S. Naffah, David Hopwood
See Also:
  Serialized Form

Constructor Summary
`RawRSAPublicKey(java.math.BigInteger n)` Constructs a raw RSA public key given the public modulus and using the Fermat prime F4 (value 0x10001) as the exponent.
`RawRSAPublicKey(java.math.BigInteger n, java.math.BigInteger e)` Constructs a raw RSA public key given the public modulus n, and the public exponent e.
`RawRSAPublicKey(java.io.InputStream is)` Constructs a raw RSA public key from data read from an InputStream, encoded as described above.

Method Summary
`byte[]` | `getEncoded()` Returns an encoding of the key as a byte array, as described above.
`String` | `getFormat()` Returns the encoding format name, for this class always "RAW".

Methods inherited from class cryptix.provider.rsa.BaseRSAPublicKey
`getAlgorithm, getExponent, getModulus, setRsaParams, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RawRSAPublicKey

    public RawRSAPublicKey(java.math.BigInteger n,
                           java.math.BigInteger e)

  Constructs a raw RSA public key given the public modulus n, and the public exponent e.
  Parameters:
    `n` - the public modulus
    `e` - the public exponent

### RawRSAPublicKey

    public RawRSAPublicKey(java.math.BigInteger n)

  Constructs a raw RSA public key given the public modulus and using the Fermat prime F4 (value 0x10001) as the exponent.
  Parameters:
    `n` - the public modulus

### RawRSAPublicKey

    public RawRSAPublicKey(java.io.InputStream is)
                    throws java.io.IOException

  Constructs a raw RSA public key from data read from an InputStream, encoded as described above.
  Parameters:
    `is` - the input stream from which data is parsed.
  Throws:
    java.io.IOException - if any I/O error occurs.
  See Also:
    `getEncoded()`

Method Detail

### getFormat

    public String getFormat()

  Returns the encoding format name, for this class always "RAW".
  Returns:
    the encoding format name for this key, "RAW".

### getEncoded

    public byte[] getEncoded()

  Returns an encoding of the key as a byte array, as described above.
  Returns:
    the encoded byte array, or null if an error occurred.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.